Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1687063 - glusterd :symbol lookup error: undefined symbol :use_spinlocks
Summary: glusterd :symbol lookup error: undefined symbol :use_spinlocks
Keywords:
Status: NEW
Alias: None
Product: GlusterFS
Classification: Community
Component: locks
Version: 5
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-09 08:33 UTC by q449278118
Modified: 2019-03-19 10:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description q449278118 2019-03-09 08:33:52 UTC
Description of problem:
after install glusterfs5.10,when ip start glusterd service failed
glusterd :symbol lookup error: undefined symbol :use_spinlocks
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.install glusterfs5.10 successfull
2.running glusterd
3.failed,glusterd :symbol lookup error: undefined symbol :use_spinlocks

Actual results:
glusterd :symbol lookup error: undefined symbol :use_spinlocks

Expected results:
successfully

Additional info:

Comment 1 q449278118 2019-03-11 02:22:50 UTC
i have solved it ,because new install libglusterfs.so has refer the wrong libs path, we need delete the libs in /lib64, only use in /usr/local libs.


Note You need to log in before you can comment on or make changes to this bug.